Public Interface IProject

    Property VideoTitle As String
    Property VideoCredits As String
    Property VideoPath As String

    Function GetProjectPath() As String

    Function GetFrameFileName(index As Integer) As String
    Function GetFrameName(index As Integer) As String

    Function GetFrameCount() As Integer
    Function GetFrame(index As Integer) As Image
    Function GetImageList() As ImageList
    Function GetListViewItem(index As Integer) As ListViewItem
    Function GetVideoSource(startIndex As Integer, framerate As Integer) As AForge.Video.IVideoSource

    Sub SetFrameName(index As Integer, name As String)
    Sub AddFrame(frame As Image, name As String)
    Sub RemoveFrame(index As Integer)
    Sub CopyFrame(index As Integer, copyToIndex As Integer)
    Sub MoveFrame(index As Integer, moveToIndex As Integer)

    Sub Save()
    Sub Save(path As String)
    Sub SaveVideo(path As String, framesize As Size, framerate As Integer)

End Interface
